Package org.lwjgl.opengl

# Class ARBFragmentShader

java.lang.Object
org.lwjgl.opengl.ARBFragmentShader

public final class ARBFragmentShader extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`GL_FRAGMENT_SHADER_ARB`
Accepted by the <shaderType> argument of CreateShaderObjectARB and returned by the <params> parameter of GetObjectParameter{fi}vARB:
`static final int`
`GL_FRAGMENT_SHADER_DERIVATIVE_HINT_ARB`
Accepted by the <target> parameter of Hint and the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:
`static final int`
`GL_MAX_FRAGMENT_UNIFORM_COMPONENTS_ARB`
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:
`static final int`
`GL_MAX_TEXTURE_COORDS_ARB`
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:
`static final int`
`GL_MAX_TEXTURE_IMAGE_UNITS_ARB`
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### GL_FRAGMENT_SHADER_ARB

public static final int GL_FRAGMENT_SHADER_ARB
Accepted by the <shaderType> argument of CreateShaderObjectARB and returned by the <params> parameter of GetObjectParameter{fi}vARB:

See Also:
  - Constant Field Values

### GL_MAX_FRAGMENT_UNIFORM_COMPONENTS_ARB

public static final int GL_MAX_FRAGMENT_UNIFORM_COMPONENTS_ARB
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_MAX_TEXTURE_COORDS_ARB

public static final int GL_MAX_TEXTURE_COORDS_ARB
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_MAX_TEXTURE_IMAGE_UNITS_ARB

public static final int GL_MAX_TEXTURE_IMAGE_UNITS_ARB
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_FRAGMENT_SHADER_DERIVATIVE_HINT_ARB

public static final int GL_FRAGMENT_SHADER_DERIVATIVE_HINT_ARB
Accepted by the <target> parameter of Hint and the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values